# Created by pyp2rpm-3.3.4
%global pypi_name gdown

Name:           python-%{pypi_name}
Version:        3.12.2
Release:        1%{?dist}
Summary:        Google Drive direct download of big files

License:        MIT
URL:            http://github.com/wkentaro/gdown
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
<h1 align"center"></h1><h4 align"center"> Download a large file from Google
Drive. <div align"center"> <a href" src" <a href" src" <a href" src" <div
align"center"> <img src".readme/cli.png" width"90%"> <img
src".readme/python.png" width"90%"> DescriptionDownload a large file from
Google Drive.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(filelock)
Requires:       python3dist(requests)
Requires:       python3dist(setuptools)
Requires:       python3dist(six)
Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
<h1 align"center"></h1><h4 align"center"> Download a large file from Google
Drive. <div align"center"> <a href" src" <a href" src" <a href" src" <div
align"center"> <img src".readme/cli.png" width"90%"> <img
src".readme/python.png" width"90%"> DescriptionDownload a large file from
Google Drive.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/gdown
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 3.12.2-1
- Initial package.
